aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTeguh Sobirin <[email protected]>2016-04-16 21:02:48 +0700
committerSerge Schneider <[email protected]>2016-04-27 10:33:04 +0100
commit612c1a73f1cb2184639163d0e37e303b70f5f7bc (patch)
tree4b471bfd9c63c8d15b6281df7a545a53c39f6d82
parent5200b19f9a92de8ecee7476f366e0d2ce55516e4 (diff)
Add missing /dev/pts
Missing /dev/pts causing "Can not write log, openpty() failed (/dev/pts not mounted?)"
-rw-r--r--scripts/common4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/common b/scripts/common
index 8c0e914..814f37f 100644
--- a/scripts/common
+++ b/scripts/common
@@ -51,6 +51,10 @@ on_chroot() {
if ! mount | grep -q `realpath ${ROOTFS_DIR}/dev`; then
mount --bind /dev ${ROOTFS_DIR}/dev
fi
+
+ if ! mount | grep -q `realpath ${ROOTFS_DIR}/dev/pts`; then
+ mount --bind /dev/pts ${ROOTFS_DIR}/dev/pts
+ fi
if ! mount | grep -q `realpath ${ROOTFS_DIR}/sys`; then
mount --bind /sys ${ROOTFS_DIR}/sys